Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members Related Pages

# CommonDialogI Class Reference

Common Dialog Base Class. More...

`#include <CommonDialogI.h>`

Inheritance diagram for CommonDialogI:

List of all members.

## Public Member Functions
virtual PluginClass::ClassIdC | get_class_id ()=0
| Returns the class ID of the common dialog.
virtual bool | do_modal ()=0
| Runs the dialog in modal mode (returns after completed).

## Detailed Description

Common Dialog Base Class.

The ImportInterfaceC provides support for some common dialogs inside the Demopaja editor. One such dialog is the color choose dialog which is widely used in the editor. See derived classes for more information on each dialog.

## Member Function Documentation

virtual bool do_modal | ( |  | ) | `[pure virtual]`

| Runs the dialog in modal mode (returns after completed). Implemented in ChooseImporterCommonDialogC, and ColorCommonDialogC.

virtual PluginClass::ClassIdC get_class_id | ( |  | ) | `[pure virtual]`

| Returns the class ID of the common dialog. Implemented in ChooseImporterCommonDialogC, and ColorCommonDialogC.